<?php

namespace SM\Util\Procedure;

use Doctrine\DBAL\Connection;
use \Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;
use \Zeedhi\Framework\DB\StoredProcedure\Param;

class FpaCdaTotaliza
{
    const NOME = "FPA_CDA_TOTALIZA";
    private $connection;
    
    public function __construct(Connection $connection)
    {
        $this->connection = $connection;
    }
    
    /**
     * Executa a procedure FPA_CDA_TOTALIZA.
     *
     * @param integer $nrorg
     * @param string  $cdempresa
     * @param string  $cdfunc
     * @param string  $dtservprest
     */
    public function executar($nrorg, $cdempresa, $cdfunc, $dtservprest)
    {
        $procedure = new StoredProcedure($this->connection, self::NOME);

        $procedure->addParam(new Param("P_NRORG", Param::PARAM_INPUT, $nrorg, Param::PARAM_TYPE_INT));
        $procedure->addParam(new Param("P_CDEMPRESA", Param::PARAM_INPUT, $cdempresa, Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_CDFUNC", Param::PARAM_INPUT, $cdfunc, Param::PARAM_TYPE_STR));
        $procedure->addParam(new Param("P_DTPONTO", Param::PARAM_INPUT, $dtservprest, Param::PARAM_TYPE_STR));
        
        $procedure->execute();
    }
    
}

?>
