/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_CLAP                                                     */
/* Tabela : CLATERAP                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 05/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_CLAT' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_CLAT
GO

CREATE TRIGGER DTULTATU_CLAT
ON CLATERAP
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CLATERAP', null, 'CDCLATERAP='+ CDCLATERAP+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CLATERAP
      SET DTULTATUCLAT = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(CLATERAP.CDCLATERAP,0) = ISNULL(INSERTED.CDCLATERAP,0)) AND
            (ISNULL(CLATERAP.NMCLATERAP,0) = ISNULL(INSERTED.NMCLATERAP,0));
   END;
END;
GO

